## r-cran-maotai 0.2.4

=== DESCRIPTION ===
Package: maotai
Type: Package
Title: Tools for Matrix Algebra, Optimization and Inference
Version: 0.2.4
Authors@R: c(person("Kisung", "You", role = c("aut", "cre"),email = "kisungyou@outlook.com",comment=c(ORCID="0000-0002-8584-459X")))
Description: Matrix is an universal and sometimes primary object/unit in applied mathematics and statistics. We provide a number of algorithms for selected problems in optimization and statistical inference. For general exposition to the topic with focus on statistical context, see the book by Banerjee and Roy (2014, ISBN:9781420095388).
Encoding: UTF-8
License: MIT + file LICENSE
Suggests: igraph
Imports: Matrix, Rcpp, Rdpack, RSpectra, Rtsne, RANN, cluster, labdsv,
        shapes, stats, utils, fastcluster, dbscan
LinkingTo: Rcpp, RcppArmadillo, RcppDist
RdMacros: Rdpack
RoxygenNote: 7.1.2
URL: https://github.com/kisungyou/maotai
BugReports: https://github.com/kisungyou/maotai/issues
NeedsCompilation: yes
Packaged: 2022-02-03 15:45:01 UTC; kisung
Author: Kisung You [aut, cre] (<https://orcid.org/0000-0002-8584-459X>)
Maintainer: Kisung You <kisungyou@outlook.com>
Repository: CRAN
Date/Publication: 2022-02-03 16:20:02 UTC

=== debian/changelog ===
r-cran-maotai (0.2.4-1) unstable; urgency=medium

  * New upstream version 0.2.4
  * Add myself to uploaders
  * d/copyright: s/MIT/Expat/

 -- Nilesh Patra <nilesh@debian.org>  Sat, 12 Feb 2022 16:37:03 +0530

r-cran-maotai (0.2.2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.2.2

 -- Nilesh Patra <nilesh@debian.org>  Sat, 30 Oct 2021 03:15:09 +0530

r-cran-maotai (0.2.1-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Fix missing Build-Depends: r-cran-labdsv, r-cran-shapes,
                               r-cran-dbscan, r-cran-rcppdist
    Closes: #996146
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Nilesh Patra ]
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Minor description fix

 -- Nilesh Patra <nilesh@debian.org>  Thu, 21 Oct 2021 08:07:42 +0000

r-cran-maotai (0.2.1-1) unstable; urgency=medium

  * Initial release (closes: #995711)

 -- Steffen Moeller <moeller@debian.org>  Mon, 04 Oct 2021 15:52:01 +0200

=== debian/control ===
Source: r-cran-maotai
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Nilesh Patra <nilesh@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-matrix,
               r-cran-rcpp,
               r-cran-rdpack,
               r-cran-rspectra,
               r-cran-rtsne,
               r-cran-rann,
               r-cran-cluster,
               r-cran-labdsv,
               r-cran-shapes,
               r-cran-fastcluster,
               r-cran-dbscan,
               r-cran-rcpparmadillo,
               r-cran-rcppdist
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maotai
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maotai.git
Homepage: https://cran.r-project.org/package=maotai
Rules-Requires-Root: no

Package: r-cran-maotai
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Tools for Matrix Algebra, Optimization and Inference
 Matrix is an universal and sometimes primary object/unit in applied
 mathematics and statistics. A number of algorithms are provided for
 selected problems in optimization and statistical inference.

## r-cran-maotai 0.2.5

=== DESCRIPTION ===
Package: maotai
Type: Package
Title: Tools for Matrix Algebra, Optimization and Inference
Version: 0.2.5
Authors@R: c(person("Kisung", "You", role = c("aut", "cre"),email = "kisungyou@outlook.com",comment=c(ORCID="0000-0002-8584-459X")))
Description: Matrix is an universal and sometimes primary object/unit in applied mathematics and statistics. We provide a number of algorithms for selected problems in optimization and statistical inference. For general exposition to the topic with focus on statistical context, see the book by Banerjee and Roy (2014, ISBN:9781420095388).
Encoding: UTF-8
License: MIT + file LICENSE
Suggests: covr, igraph, testthat (>= 3.0.0)
Imports: Matrix, Rcpp, Rdpack, RSpectra, Rtsne, RANN, cluster, labdsv,
        shapes, stats, utils, fastcluster, dbscan, pracma
LinkingTo: Rcpp, RcppArmadillo, RcppDist
RdMacros: Rdpack
RoxygenNote: 7.2.3
URL: https://github.com/kisungyou/maotai
BugReports: https://github.com/kisungyou/maotai/issues
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2023-03-29 21:29:17 UTC; kisung
Author: Kisung You [aut, cre] (<https://orcid.org/0000-0002-8584-459X>)
Maintainer: Kisung You <kisungyou@outlook.com>
Repository: CRAN
Date/Publication: 2023-03-29 22:40:02 UTC

=== debian/changelog ===
r-cran-maotai (0.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Sat, 24 Jun 2023 23:37:49 +0200

=== debian/control ===
Source: r-cran-maotai
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Nilesh Patra <nilesh@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maotai
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maotai.git
Homepage: https://cran.r-project.org/package=maotai
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-matrix,
               r-cran-rcpp,
               r-cran-rdpack,
               r-cran-rspectra,
               r-cran-rtsne,
               r-cran-rann,
               r-cran-cluster,
               r-cran-labdsv,
               r-cran-shapes,
               r-cran-fastcluster,
               r-cran-dbscan,
               r-cran-pracma,
               r-cran-rcpparmadillo,
               r-cran-rcppdist
Testsuite: autopkgtest-pkg-r

Package: r-cran-maotai
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Tools for Matrix Algebra, Optimization and Inference
 Matrix is an universal and sometimes primary object/unit in applied
 mathematics and statistics. A number of algorithms are provided for
 selected problems in optimization and statistical inference.

## r-cran-maotai 0.2.6

=== debian/changelog ===
r-cran-maotai (0.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 03 Mar 2025 09:37:42 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maotai
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maotai.git
 Homepage: https://cran.r-project.org/package=maotai
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-igraph,
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/maotai_([-\d.]*)\.tar\.gz
